Name:          libogg
Version:       1.3.5
Release:       2mamba
Summary:       A library for encoding or decoding a single physical bitstream
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xiph.org/vorbis/
Source:        http://downloads.xiph.org/releases/ogg/libogg-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The libogg package contains the ogg file structure.
This is useful for creating (encoding) or playing (decoding) a single physical bitstream.

%package devel
Summary:       Development files for libogg
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libogg package contains the ogg file structure.
This is useful for creating (encoding) or playing (decoding).
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libogg.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ogg
%{_includedir}/ogg/config_types.h
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_libdir}/libogg.so
%{_libdir}/pkgconfig/ogg.pc
%dir %{_libdir}/cmake/Ogg
%{_libdir}/cmake/Ogg/Ogg*.cmake
%dir %{_docdir}/libogg
%{_docdir}/libogg/*

%changelog
* Tue May 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-2mamba
- rebuilt with cmake

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 1.3.5-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Thu Nov 30 2017 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Sun Aug 07 2011 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Wed Nov 03 2010 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Mon Mar 29 2010 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Thu Jul 26 2007 Aleph0 <aleph0@openmamba.org> 1.1.3-2mamba
- rebuilt

* Mon Mar 13 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.1.3-1qilnx
- update to version 1.1.3 by autospec
- fixed license

* Wed Jun 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.2-2qilnx
- specfile updates/fixes

* Mon Jan 31 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1qilnx
- update to version 1.1.2 by autospec

* Mon Mar 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1-qilnx
- rebuild with version 1.1

* Thu Jul 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0-1qilnx
- first build for libogg
